# Copyright 2009 Canonical Ltd.  All rights reserved.

try:
    # We prefer to use locally installed tools for this.
    from setuptools import setup
except ImportError:
    # If there are not any, fire up distribute.
    import distribute_setup
    distribute_setup.use_setuptools()
    from setuptools import setup


__version__ = '1.5DEV'

setup(
    name='lazr-js',
    namespace_packages=['lazr'],
    version=__version__,
    packages=['lazr', 'lazrjs'],
    py_modules=['jsmin'],
    package_dir={
        'lazrjs': 'src-js/lazrjs',
        '': 'src-py'},
    include_package_data=True,
    zip_safe=False,
    maintainer='Canonical JavaScripters',
    maintainer_email='lazr-dev@lists.launchpad.net',
    description=('Collection of JS widgets'),
    license='GPL v3',
    install_requires=[
        'setuptools',
    ],
    url='https://launchpad.net/lazr-js',
    classifiers=[
        "Development Status :: 5 - Production/Stable",
        "Intended Audience :: Developers",
        "Programming Language :: JavaScript",
        "Programming Language :: Python",
    ],
    extras_require=dict(
        jsbuild = ["cssutils"],
        jslint = ["bzr"],
        test = ["cssutils", "lazr.testing", "Paste"],
        yuimeta = ["cssutils", "simplejson"],
        ),
    entry_points=dict(
        console_scripts=[
            'jsbuild=lazr.js.build:main',
            'jslint=lazr.js.jslint:main',
            'jsscaffold=lazr.js.scaffold:main',
            'yuimeta=lazr.js.meta:main',
        ]
    ),
)
